org.keycloak.authorization.policy.provider.js

## Class JSPolicyProviderFactory

- java.lang.Object
- - org.keycloak.authorization.policy.provider.js.JSPolicyProviderFactory

- All Implemented Interfaces:
    PolicyProviderFactory<JSPolicyRepresentation>, ProviderFactory<PolicyProvider>
  Direct Known Subclasses:
    DeployedScriptPolicyFactory

      public class JSPolicyProviderFactory
      extends Object
      implements PolicyProviderFactory<JSPolicyRepresentation>

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSPolicyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `PolicyProvider` | `create(AuthorizationProvider authorization)`
    `PolicyProvider` | `create(KeycloakSession session)`
    `String` | `getGroup()`
    `String` | `getId()`
    `String` | `getName()`
    `Class<JSPolicyRepresentation>` | `getRepresentationType()`
    `protected ScriptModel` | `getScriptModel(Policy policy, RealmModel realm, ScriptingProvider scripting)`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `protected boolean` | `isDeployed()`
    `boolean` | `isInternal()`
    `void` | `onCreate(Policy policy, JSPolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `onImport(Policy policy, PolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `onRemove(Policy policy, AuthorizationProvider authorization)`
    `void` | `onUpdate(Policy policy, JSPolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `JSPolicyRepresentation` | `toRepresentation(Policy policy, AuthorizationProvider authorization)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.policy.provider.PolicyProviderFactory

      `getAdminResource, onExport`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### JSPolicyProviderFactory

          public JSPolicyProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### getGroup

          public String getGroup()

      Specified by:
        `getGroup` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### create

          public PolicyProvider create(AuthorizationProvider authorization)

      Specified by:
        `create` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### create

          public PolicyProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<PolicyProvider>`

    - #### toRepresentation

          public JSPolicyRepresentation toRepresentation(Policy policy,
                                                         AuthorizationProvider authorization)

      Specified by:
        `toRepresentation` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### getRepresentationType

          public Class<JSPolicyRepresentation> getRepresentationType()

      Specified by:
        `getRepresentationType` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### onCreate

          public void onCreate(Policy policy,
                               JSPolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onCreate` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### onUpdate

          public void onUpdate(Policy policy,
                               JSPolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onUpdate` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### onImport

          public void onImport(Policy policy,
                               PolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onImport` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### onRemove

          public void onRemove(Policy policy,
                               AuthorizationProvider authorization)

      Specified by:
        `onRemove` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<PolicyProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<PolicyProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<PolicyProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<PolicyProvider>`

    - #### isInternal

          public boolean isInternal()

      Specified by:
        `isInternal` in interface `PolicyProviderFactory<JSPolicyRepresentation>`

    - #### getScriptModel

          protected ScriptModel getScriptModel(Policy policy,
                                               RealmModel realm,
                                               ScriptingProvider scripting)

    - #### isDeployed

          protected boolean isDeployed()

Copyright © 2020 JBoss by Red Hat. All rights reserved.